<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>de.ugoe.cs.autoquest</groupId>
    <artifactId>autoquest</artifactId>
    <version>0.2.4-SNAPSHOT</version>
    <name>autoquest</name>
    <licenses>
        <license>
            <name>The Apache Software License, Version 2.0</name>
            <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
        </license>
    </licenses>
    <packaging>pom</packaging>
    <properties>
        <autoquest-scm-trunk-dir>https://autoquest.informatik.uni-goettingen.de/svn/autoquest/trunk</autoquest-scm-trunk-dir>
    </properties>
    <scm>
        <url>https://autoquest.informatik.uni-goettingen.de/svn/autoquest/trunk/autoquest</url>
        <connection>scm:svn:https://autoquest.informatik.uni-goettingen.de/svn/autoquest/trunk/autoquest</connection>
    </scm>
    <distributionManagement>
        <snapshotRepository>
            <id>autoquest-snapshots</id>
            <url>https://nexus.informatik.uni-goettingen.de/content/repositories/autoquest-snapshots</url>
        </snapshotRepository>
        <repository>
            <id>autoquest</id>
            <url>https://nexus.informatik.uni-goettingen.de/content/repositories/autoquest-releases</url>
        </repository>
    </distributionManagement>
    <repositories>
        <repository>
            <id>autoquest-snapshots</id>
            <url>https://nexus.informatik.uni-goettingen.de/content/repositories/autoquest-snapshots</url>
        </repository>
        <repository>
            <id>autoquest</id>
            <url>https://nexus.informatik.uni-goettingen.de/content/repositories/autoquest-releases</url>
        </repository>
        <repository>
            <id>autoquest-thirdparty-repo</id>
            <url>https://nexus.informatik.uni-goettingen.de/content/repositories/thirdparty</url>
        </repository>
        <repository>
            <id>FF-Releases</id>
            <url>https://nexus.informatik.uni-goettingen.de/content/repositories/FF-Releases</url>
        </repository>
    </repositories>
    <build>
        <plugins>
            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.3.2</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
            <plugin>
                <artifactId>maven-source-plugin</artifactId>
                <version>2.1.1</version>
                <executions>
                    <execution>
                        <id>attach-sources</id>
                        <phase>package</phase>
                        <goals>
                            <!-- produce source artifact for main project sources -->
                            <goal>jar-no-fork</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>findbugs-maven-plugin</artifactId>
                <version>3.0.5</version>
                <configuration>
                    <xmlOutput>true</xmlOutput>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <reporting>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
                <version>2.8.1</version>
                <configuration>
                    <!-- switch on dependency-driven aggregation -->
                    <includeDependencySources>true</includeDependencySources>

                    <dependencySourceIncludes>
                        <dependencySourceInclude>de.ugoe.cs.*:*</dependencySourceInclude>
                    </dependencySourceIncludes>
                </configuration>
            </plugin>
        </plugins>
    </reporting>
</project>
